/* footer */

.footer {
  width: 100%;
  background-color: var(--Dark-blue);
  padding: 35px 0 22px 0;
}

.footer * {
  color: var(--White);
}

.footer .container {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 70px 75px;
}

.footer_block {
  width: 100%;
  max-width: 252px;
  display: flex;
  flex-direction: column;
  gap: 35px;
}

.footer_socials_wrap {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.footer_socials {
  display: flex;
  align-items: center;
  gap: 16px;
}

.footer_socials path {
  fill: var(--White);
}

.footer_socials svg {
  width: 20px;
  height: 20px;
}

.footer_logo {
  width: 100%;
  max-width: 212px;
  aspect-ratio: 212 / 30;
}

.footer_logo img {
  object-fit: contain;
}

.footer_company {
  display: flex;
  align-items: center;
  gap: 13px;
}

.footer_company span {
  height: 24px;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center center;
}

.copyright {
  width: 100%;
  padding-top: 13px;
  border-top: 1px solid var(--Grey);
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 16px 20px;
}

.copyright li {
  color: var(--White);
  font-family: "Onest", sans-serif;
  font-size: 14px;
  font-weight: 500;
  min-width: 300px;
}

.footer_menu {
  display: flex;
  justify-content: space-between;
  gap: 125px;
}

.footer_links {
  display: flex;
  flex-direction: column;
  gap: 16px;
  min-width: 305px;
}

.footer_menu .menu-item-has-children {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.footer_menu span,
.footer_links a {
  color: var(--White);
  font-family: "Onest", sans-serif;
  font-size: 18px;
  font-weight: 700;
}

.footer_menu ul {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.footer_menu a {
  font-size: 14px;
  font-weight: 500;
  line-height: 120%;
}

.footer a:hover,
.footer [aria-current="page"] {
  opacity: 0.7;
}

/* footer */

@media (max-width: 1300px) {
  /* footer */
  .footer .container {
    gap: 30px 20px;
  }

  .footer_menu {
    gap: 40px;
  }

  .footer_links,
  .copyright li {
    min-width: auto;
  }
  /* footer */
}

@media screen and (max-width: 768px) {
  /* footer */

  .footer {
    padding: 60px 0 205px 0;
    position: relative;
  }

  .footer .container {
    gap: 43px;
  }

  .footer_socials_wrap {
    position: absolute;
    bottom: 100px;
  }

  .footer_block {
    max-width: 100%;
  }

  .footer_logo {
    max-width: 283px;
    width: 100%;
    aspect-ratio: 283 / 40;
  }

  .copyright {
    padding-top: 0;
    border-top: none;
    flex-direction: column;
    align-items: flex-start;
  }

  .copyright li {
    color: var(--White);
    font-family: "Onest", sans-serif;
    font-size: 20px;
    min-width: auto;
  }

  .copyright_text {
    width: calc(100% - 32px);
    padding-top: 20px;
    border-top: 1px solid var(--Grey);
    text-align: center;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    position: absolute;
    bottom: 20px;
  }

  .footer_menu {
    flex-wrap: wrap;
    gap: 43px;
  }

  .footer_links {
    gap: 43px;
    min-width: auto;
  }

  .footer_menu span,
  .footer_links a {
    font-size: 24px;
  }

  .footer_menu ul {
    gap: 16px;
  }

  .footer_menu a {
    font-size: 20px;
  }

  /* footer */
}
